QSizeGrip(3qt)

NAME
QSizeGrip - Corner-grip for resizing a top-level window

SYNOPSIS
#include <qsizegrip.h>

Inherits QWidget.

  Public Members
QSizeGrip ( QWidget * parent, const char * name = 0 )
~QSizeGrip ()
virtual QSize sizeHint () const

  Protected Members
virtual void paintEvent ( QPaintEvent * e )
virtual void mousePressEvent ( QMouseEvent * e )
virtual void mouseMoveEvent ( QMouseEvent * e )

DESCRIPTION
The QSizeGrip class provides a corner-grip for resizing a top-level window.

This widget works like the standard Windows resize handle. In the X11 version this resize handle generally works differently from the one provided by the system; we hope to reduce this difference in the future.

Put this widget anywhere in a widget tree and the user can use it to resize the top-level window. Generally, this should be in the lower right-hand corner. Note that QStatusBar already uses this widget, so if you have a status bar (e.g. you are using QMainWindow), then you don't need to use this widget explicitly.

[Image Omitted]

[Image Omitted]

See also QStatusBar, Widget Appearance and Style, Main Window and Related Classes, and Basic Widgets.

MEMBER FUNCTION DOCUMENTATION

QSizeGrip::QSizeGrip ( QWidget * parent, const char * name = 0 )
Constructs a resize corner called name, as a child widget of parent.

QSizeGrip::~QSizeGrip ()
Destroys the size grip.

void QSizeGrip::mouseMoveEvent ( QMouseEvent * e ) [virtual protected]
Resizes the top-level widget containing this widget. The event is in e.

Reimplemented from QWidget.

void QSizeGrip::mousePressEvent ( QMouseEvent * e ) [virtual protected]
Primes the resize operation. The event is in e.

Reimplemented from QWidget.

void QSizeGrip::paintEvent ( QPaintEvent * e ) [virtual protected]
Paints the resize grip. Resize grips are usually rendered as small diagonal textured lines in the lower-right corner. The event is in e.

Reimplemented from QWidget.

QSize QSizeGrip::sizeHint () const [virtual]
Returns the size grip's size hint; this is a small size.

Reimplemented from QWidget.

SEE ALSO
http://doc.trolltech.com/qsizegrip.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qsizegrip.3qt) and the Qt version (3.2.3).